Bug 1269593 - Declare support for opening vnd.libreoffice.cmis:// URLs (make CMIS URLs in web pages open in LibreOffice)
Declare support for opening vnd.libreoffice.cmis:// URLs (make CMIS URLs in w...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1269600
  Show dependency treegraph
 
Reported: 2015-10-07 12:21 EDT by Benjamin Kahn
Modified: 2015-10-13 13:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-4.4.5.2-8.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1269600 (view as bug list)
Environment:
Last Closed: 2015-10-13 13:01:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Document Foundation 72880 None None None Never

  None (edit)
Description Benjamin Kahn 2015-10-07 12:21:59 EDT
Description of problem:
When clicking on a link for a CMIS LibreOffice URL, which take the form of:
vnd.libreoffice.cmis://%3A%2F%2F<host:port>%2Fpath_to_document the URL Handler is not defined even thought LibreOffice is able to handle the URL scheme.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Obtain a LO CMIS URL
2. verify it works trying to open it using oowriter on the command line
3. try it via xdg-open instead

Actual results:
Error: error opening location: The specified location is not supported

Expected results:
LibreOffice opens

Additional info:
Filed against LO: https://bugs.documentfoundation.org/show_bug.cgi?id=94861
Comment 1 Caolan McNamara 2015-10-08 11:41:06 EDT
Lets see if libreoffice-4.4.5.2-8.fc22 will make a difference here
Comment 2 Fedora Update System 2015-10-09 06:40:17 EDT
libreoffice-4.4.5.2-8.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-847d8c3a7e
Comment 3 Fedora Update System 2015-10-09 19:22:33 EDT
libreoffice-4.4.5.2-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libreoffice'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-847d8c3a7e
Comment 5 Benjamin Kahn 2015-10-12 12:01:42 EDT
It works. Interestingly, this also allows Libreoffice to open GDocs files.
Comment 6 Fedora Update System 2015-10-13 13:01:56 EDT
libreoffice-4.4.5.2-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.